<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f7fafa">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimary"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/ll_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingVertical="6dp"
            app:layout_constraintTop_toTopOf="parent">

            <FrameLayout
                android:id="@+id/fl_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:padding="4dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/icon_return_w" />
            </FrameLayout>

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/battery_info"
                android:textColor="@color/white"
                android:textSize="20sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@id/fl_back"
                app:layout_constraintStart_toEndOf="@id/fl_back"
                app:layout_constraintTop_toTopOf="@id/fl_back" />
        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nsv_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:paddingBottom="@dimen/dp_20"
            android:layout_height="wrap_content">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_battery"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimary"
                android:paddingBottom="85dp"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_battery"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="40dp"
                    android:src="@drawable/dianchi20"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp"

                    android:text="0%"
                    android:textColor="#ffffff"
                    android:textSize="36sp"
                    app:layout_constraintBottom_toBottomOf="@id/iv_battery"
                    app:layout_constraintEnd_toEndOf="@id/iv_battery"
                    app:layout_constraintStart_toStartOf="@id/iv_battery"
                    app:layout_constraintTop_toTopOf="@id/iv_battery"
                    tools:ignore="HardcodedText,TextContrastCheck" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_40"
                    android:orientation="horizontal"
                    android:paddingHorizontal="38dp"
                    app:layout_constraintTop_toBottomOf="@id/iv_battery">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_daiji_battery" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_standby_hour"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="32"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="h"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_standby_minute"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="4dp"
                                android:text="24"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="m"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />
                        </androidx.appcompat.widget.LinearLayoutCompat>
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_video_battery" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_video_hour"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="32"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="h"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_video_minute"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="4dp"
                                android:text="24"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="m"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />
                        </androidx.appcompat.widget.LinearLayoutCompat>
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_music_battery" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_music_hour"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="32"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="h"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/tv_music_minute"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="4dp"
                                android:text="24"
                                android:textColor="@color/white"
                                android:textSize="18sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="m"
                                android:textColor="@color/white"
                                android:textSize="14sp"
                                tools:ignore="HardcodedText,TextContrastCheck" />
                        </androidx.appcompat.widget.LinearLayoutCompat>
                    </androidx.appcompat.widget.LinearLayoutCompat>
                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_battery_status"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="-65dp"
                android:background="@drawable/white_background"
                android:orientation="vertical"
                app:layout_constraintTop_toBottomOf="@id/cl_battery">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="20dp"
                    android:text="@string/battery_status"
                    android:textColor="@color/color_181b1f"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_battery_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp"
                    android:orientation="horizontal"
                    android:paddingHorizontal="30dp"
                    android:paddingBottom="24dp">

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_wendu_battery" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/tv_temperature"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="37.5℃"
                            android:textColor="@color/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/temperature"
                            android:textColor="@color/color_aeb4bd"
                            android:textSize="12sp"
                            tools:ignore="TextContrastCheck" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_v_battery" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/tv_voltage"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="3.6V"
                            android:textColor="@color/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/voltage"
                            android:textColor="@color/color_aeb4bd"
                            android:textSize="12sp"
                            tools:ignore="TextContrastCheck" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_ah_battery" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/tv_power"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="4dp"
                            android:text="4753mAh"
                            android:textColor="@color/colorPrimary"
                            android:textSize="14sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/power"
                            android:textColor="@color/color_aeb4bd"
                            android:textSize="12sp"
                            tools:ignore="TextContrastCheck" />
                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <com.base.appzxhy.business.ads.NativeParentView
                android:id="@+id/flAd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="10dp"
                app:layout_constraintTop_toBottomOf="@id/ll_battery_status">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:src="@drawable/zhanwei1"
                    tools:ignore="ContentDescription,ImageContrastCheck" />
            </com.base.appzxhy.business.ads.NativeParentView>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_health"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="11dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/white_background"
                android:paddingHorizontal="20dp"
                android:paddingVertical="16dp"
                app:layout_constraintEnd_toStartOf="@id/cl_battery_status"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/flAd">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_health_content"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/health"
                    android:textColor="@color/color_aeb4bd"
                    android:textSize="12sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="TextContrastCheck" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_health"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:text="@string/good"
                    android:textColor="@color/color_666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_health_content" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_battery_status"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginTop="11dp"
                android:layout_marginEnd="15dp"
                android:background="@drawable/white_background"
                android:paddingHorizontal="20dp"
                android:paddingVertical="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/cl_health"
                app:layout_constraintTop_toBottomOf="@id/flAd">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_status_content"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/battery_status"
                    android:textColor="@color/color_aeb4bd"
                    android:textSize="12sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="TextContrastCheck" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:text="@string/normal"
                    android:textColor="@color/color_666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_battery_status_content" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_battery_type"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="11dp"
                android:layout_marginEnd="5dp"
                android:background="@drawable/white_background"
                android:paddingHorizontal="20dp"
                android:paddingVertical="16dp"
                app:layout_constraintEnd_toStartOf="@id/cl_battery_capacity"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/cl_health">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_type_content"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/battery_type"
                    android:textColor="@color/color_aeb4bd"
                    android:textSize="12sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:text="Li-poly"
                    android:textColor="@color/color_666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_battery_type_content"
                    tools:ignore="HardcodedText" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_battery_capacity"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginTop="11dp"
                android:layout_marginEnd="15dp"
                android:background="@drawable/white_background"
                android:paddingHorizontal="20dp"
                android:paddingVertical="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/cl_battery_type"
                app:layout_constraintTop_toBottomOf="@id/cl_battery_status">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_capacity_content"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/battery_capacity"
                    android:textColor="@color/color_aeb4bd"
                    android:textSize="12sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_battery_capacity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="4dp"
                    android:text="4900mAh"
                    android:textColor="@color/color_666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_battery_capacity_content"
                    tools:ignore="HardcodedText" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation_2"
        android:visibility="visible"
        tools:visibility="invisible" />

</androidx.constraintlayout.widget.ConstraintLayout>